Bug 1743748 - [4.1.z] ClusterOperator operator-lifecycle-manager missing ClusterStatusConditionType Upgradeable
Summary: [4.1.z] ClusterOperator operator-lifecycle-manager missing ClusterStatusCondi...
Keywords:
Status: CLOSED DUPLICATE of bug 1740044
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1727032
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-20 15:22 UTC by Evan Cordell
Modified: 2019-08-28 06:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1727032
Environment:
Last Closed: 2019-08-28 06:03:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 979 0 None None None 2019-08-20 15:23:50 UTC

Comment 2 Jian Zhang 2019-08-28 05:57:20 UTC
OLM version: io.openshift.build.commit.url=https://github.com/operator-framework/operator-lifecycle-manager/commit/76940550adb7c874dc08cdae838c67b3eb719c03
Cluster version is 4.1.0-0.nightly-2019-08-27-070548

Now, both the "operator-lifecycle-manager" and "operator-lifecycle-manager" have the "Upgradeable" field, LGTM, verify it.
mac:~ jianzhang$ oc get co operator-lifecycle-manager -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2019-08-28T03:17:16Z"
  generation: 1
  name: operator-lifecycle-manager
  resourceVersion: "10008"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager
  uid: 5674a11f-c942-11e9-ae17-02e88bf7619c
spec: {}
status:
  conditions:
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2019-08-28T03:22:21Z"
    message: Deployed 0.9.0
    status: "False"
    type: Progressing
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "True"
    type: Upgradeable
  extension: null
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-08-27-070548
  - name: operator-lifecycle-manager
    version: 0.9.0
mac:~ jianzhang$ oc get co operator-lifecycle-manager-catalog -o yaml
apiVersion: config.openshift.io/v1
kind: ClusterOperator
metadata:
  creationTimestamp: "2019-08-28T03:17:16Z"
  generation: 1
  name: operator-lifecycle-manager-catalog
  resourceVersion: "10007"
  selfLink: /apis/config.openshift.io/v1/clusteroperators/operator-lifecycle-manager-catalog
  uid: 5674c0f6-c942-11e9-ae17-02e88bf7619c
spec: {}
status:
  conditions:
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "False"
    type: Degraded
  - lastTransitionTime: "2019-08-28T03:22:21Z"
    message: Deployed 0.9.0
    status: "False"
    type: Progressing
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "True"
    type: Available
  - lastTransitionTime: "2019-08-28T03:17:16Z"
    status: "True"
    type: Upgradeable
  extension: null
  versions:
  - name: operator
    version: 4.1.0-0.nightly-2019-08-27-070548
  - name: operator-lifecycle-manager
    version: 0.9.0


Note You need to log in before you can comment on or make changes to this bug.